unit uBizStock;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable, uDAInterfaces,
  DataAbstract_Intf, uROTypes, schStockClient_Intf;

const
  BIZ_STOCK_EDI = 'Client.StockEDI';
  BIZ_STOCK_EDIINVENTARIO = 'Client.StockEDIInventario';
  BIZ_STOCK_VARELA = 'Client.StockVARELA';
  BIZ_STOCK_PRENDAS_CENTROS = 'Client.StockPrendasCentros';

type
  IBizStockEDI = interface(IStockEDI)
  ['{01767388-AF6D-4EF0-A2A4-092D698ECD19}']
  end;

  IBizStockEDIInventario = interface(IStockEDIInventario)
  ['{156E243C-7B4D-4223-8FAF-A965E8C5A94D}']
  end;

  IBizStockVARELA = interface(IStockVARELA)
  ['{2DC85C8D-E7CA-4B13-A7CE-46E412D05D76}']
  end;

  IBizStockPrendasCentros = interface(IStockPrendasCentros)
  ['{F17984D3-1262-4D0B-94F3-E86DA3B1357E}']
  end;

  TBizStockEDIDataTableRules = class(TStockEDIDataTableRules, IBizStockEDI)
  end;

  TBizStockEDIInventarioDataTableRules = class(TStockEDIInventarioDataTableRules, IBizStockEDIInventario)
  end;

  TBizStockVARELADataTableRules = class(TStockVARELADataTableRules, IBizStockVARELA)
  end;

  TBizStockPrendasCentrosDataTableRules = class(TStockPrendasCentrosDataTableRules, IBizStockPrendasCentros)
  end;


implementation

{uses
  Dialogs, uEditorUtils, uDataModuleVentasTerminadas;}

initialization
  RegisterDataTableRules(BIZ_STOCK_EDI, TBizStockEDIDataTableRules);
  RegisterDataTableRules(BIZ_STOCK_EDIINVENTARIO, TBizStockEDIInventarioDataTableRules);
  RegisterDataTableRules(BIZ_STOCK_VARELA, TBizStockVarelaDataTableRules);
  RegisterDataTableRules(BIZ_STOCK_PRENDAS_CENTROS, TBizStockPrendasCentrosDataTableRules);
finalization

end.

